import request from '@/utils/request'

// 查询重点企业名录列表
export function listZdqyml(query) {
  return request({
    url: '/tcZz/netManage/zdqyml/list',
    method: 'get',
    params: query
  })
}

// 查询重点企业名录详细
export function getZdqyml(id) {
  return request({
    url: '/tcZz/netManage/zdqyml/' + id,
    method: 'get'
  })
}

// 新增重点企业名录
export function addZdqyml(data) {
  return request({
    url: '/tcZz/netManage/zdqyml',
    method: 'post',
    data: data
  })
}

// 修改重点企业名录
export function updateZdqyml(data) {
  return request({
    url: '/tcZz/netManage/zdqyml',
    method: 'put',
    data: data
  })
}

// 删除重点企业名录
export function delZdqyml(id) {
  return request({
    url: '/tcZz/netManage/zdqyml/' + id,
    method: 'delete'
  })
}

// 重点企业名录批量启用禁用
export function updateIsStatus(query) {
  return request({
    url: '/tcZz/netManage/zdqyml/isStatus',
    method: 'get',
    params: query
  })
}

// 通用导入
export function importExcel(data) {
  return request({
    url: '/tcZz/netManage/zdqyml/common/importExcel',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}